Skip to main content
POST
/
v1
/
admin
/
relationships
/
customer-signals
/
{id}
/
resolve
Resolve customer signal
curl --request POST \
  --url https://{operatorDomain}/v1/admin/relationships/customer-signals/{id}/resolve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bookingId": "<string>"
}
'
{
  "id": "csig_01h...",
  "personId": "<string>",
  "kind": "inquiry",
  "status": "open",
  "payload": {},
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
bookingId
string

Response

200 - application/json

Resolved signal

id
string
Example:

"csig_01h..."

personId
string | null
kind
string
Example:

"inquiry"

status
string
Example:

"open"

payload
object
createdAt
string<date-time>